package com.cpxt.biz.service;

import com.cpxt.biz.domain.StatCar;

import java.util.List;

/**
 * 车辆统计Service接口
 * 
 * @author ruoyi
 * @date 2024-12-31
 */
public interface IStatCarService 
{
    /**
     * 查询车辆统计
     * 
     * @param id 车辆统计主键
     * @return 车辆统计
     */
    public StatCar selectStatCarById(Long id);

    /**
     * 查询车辆统计列表
     * 
     * @param statCar 车辆统计
     * @return 车辆统计集合
     */
    public List<StatCar> selectStatCarList(StatCar statCar);

    /**
     * 新增车辆统计
     * 
     * @param statCar 车辆统计
     * @return 结果
     */
    public int insertStatCar(StatCar statCar);

    /**
     * 修改车辆统计
     * 
     * @param statCar 车辆统计
     * @return 结果
     */
    public int updateStatCar(StatCar statCar);

    /**
     * 批量删除车辆统计
     * 
     * @param ids 需要删除的车辆统计主键集合
     * @return 结果
     */
    public int deleteStatCarByIds(Long[] ids);

    /**
     * 删除车辆统计信息
     * 
     * @param id 车辆统计主键
     * @return 结果
     */
    public int deleteStatCarById(Long id);
}
